#!/usr/local/bin/perl
# Copyright: Binny V Abraham 2002                                            #
# If you want to use this script, Leave this message here                    #
##############################################################################
# Website: http://www.geocities.com/binnyva                                  #
# E-Mail : binnyva@rediffmail.com                                            #
##############################################################################
# Name Of Script : Message Board                                             #
# Version        : 1.01.A                                                    #
# This will act as a public messageboard. Any one can enter a new message.   #
# In this version only messages are supported. No E-mail for replaing.       #
#                                                                            #
# Get more Perl scripts from http://www.geocities.com/binnyva/code/perl      #
##############################################################################
#Needed files                                                                #
# messageboard.pl - This file. Takes the messages and store them in another  #
#                    file                                                    #
# messages.html - The file where all the messages are stored.                #
# message_board.html - The message board is displayed in this file           #
##############################################################################
# use strict;
use CGI qw/:standard/;
$CGI::POST_MAX = 1024 * 100;# Max 100K posts
$CGI::DISABLE_UPLOADS = 1;  # No uploads

# Set Variables
my $file      = "message_board.html";   # The File where the message board is displayed
my $messagesfile = "messages.html";     # The file that stores all the messages
my $separator = "-";                    # Date sepeator (9'-'10..)

# Get input
my $cgi = new CGI;
my $comments= $cgi->param('comments');

# Take time to make things happen
my ($min,$hour,$mday,$mon,$year) = (localtime(time))[1,2,3,4,5];
$mon++;
$year += 1900;
my $date = "$mday$separator$mon$separator$year($hour:$min)"; #D-M-YYYY Format

# Open Messages File
my @LINES;
my $SIZE;
if (!open (FILE, $messagesfile)) {
	#I used 'print' instead of 'die' because I want to create a '$messagesfile' file
	#	if one is not there.
	print "Can't open $file: $!\n";
} else {
	@LINES=<FILE>;
	close(FILE);
	$SIZE=@LINES;
}

# Open Messages File and inputing the content on top
open (FILE, ">$messagesfile") || die "Can't open $messagesfile: $!\n";
for (my $i=0; $i<=$SIZE; $i++)
 {
 $_=$LINES[$i];
 if (/<!--top-->/) 
  {
  print FILE "<!--top-->\n";
  print FILE "$comments<!-- This was posted on $date --><br><br>\n";
  }
 else
  {
  print FILE $_;
  }
 }
close (FILE);

print "Location: $file\n\n"; #This will update the file on which the message is displayed to show the just entered message